[Previous] [Next] [Contents]

## `SG::Perm2ListRd` -- lists all reduced decompositions of a given permutation

#### Call(s)

`SG::Perm2ListRd(perm <,nb>)`

#### Parameters

`perm` | - | any list denoting a permutation
`nb` | - | only counts objects

#### Introduction

The `SG::Perm2ListRd` function returns the list of all reduced decompositions of a given permutation, i.e. all expressions of `perm` as a product of simple transpositions (of minimal length).

#### Example 1

    >> muEC::SG::Perm2ListRd( [3,1,5,2,4] );

          [[4, 2, 3, 1], [2, 4, 3, 1], [4, 2, 1, 3], [2, 4, 1, 3],

             [2, 1, 4, 3]]

    >> muEC::SG::Perm2ListRd( [6,5,4,3,2,1], nb );

                                      292864

#### Related Functions

`Perm2Rd`, `Rd2Perm`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package